<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns:axsl="http://www.w3.org/1999/XSL/TransformAlias"
    xmlns:saxon="http://saxon.sf.net/">

<xsl:import href="skeleton1-5.xsl"/>

<xsl:template name="process-prolog">
  <!-- Namespace node for our XSLT extension functions: -->
  <xsl:namespace name="eg">http://www.example.org/</xsl:namespace>
  <!-- Another namespace node for an extension class: -->
  <xsl:namespace name="f">com.projectname.xslt.files</xsl:namespace>
  <!-- Importing the shared library: --> 
  <axsl:import href="_lib.xsl"/>
  <!-- We don't really need any output parameters: --> 
  <axsl:output method="text"/>
</xsl:template>

<xsl:template name="process-root">
  <xsl:param name="title"/>
  <xsl:param name="contents"/>
  <xsl:value-of select="$title"/>
  <xsl:text>&#10;</xsl:text>
  <xsl:copy-of select="$contents"/>
</xsl:template>

<xsl:template name="process-message">
  <xsl:param name="pattern"/> 
  <xsl:param name="role"/> 
  <!-- Outputting the source line number: --> 
  <xsl:text>Line </xsl:text> 
    <axsl:value-of select="saxon:line-number()"/>
  <xsl:if test="$role">
    <xsl:text> (</xsl:text>
    <xsl:value-of select="$role"/>
    <xsl:text>)</xsl:text>
  </xsl:if>:
  <xsl:apply-templates mode="text"/>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

</xsl:stylesheet>