<xsl:template name="create-image">
  <xsl:param name="label"/>
  <xsl:param name="filename"/>

  <xsl:variable name="svg" select="concat($filename, '.svg')"/>
  <xsl:variable name="png" select="concat($filename, '.png')"/>

  <xsl:result-document href="{$svg}" format="xml">
    <svg ...>
      <!-- SVG preamble... -->
      <text ...><xsl:value-of select="$label"/></text>
    </svg>
  </xsl:result-document>

  <xsl:message>
    <xsl:value-of select="
        files:run(concat(
          'java org.apache.batik.apps.rasterizer.Main ', 
          $svg))"/>
  </xsl:message>
  <xsl:message>
    <xsl:value-of select="
        files:run(concat('mogrify -trim ', $png))"/>
  </xsl:message>

</xsl:template>